(* This test script is part of GDB, the GNU debugger.

   Copyright 2022 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  *)

MODULE unboundedstrm2 ;


VAR
   global: ARRAY [0..9] OF CHAR ;


(*
   foo - test procedure to see the array appear in an unbounded form.
*)

PROCEDURE foo (a: ARRAY OF CHAR) ;
BEGIN

END foo ;


VAR
   i: CARDINAL ;
BEGIN
   FOR i := 0 TO 9 DO
      global[i] := VAL (CHAR, ORD ('a')+i)
   END ;
   foo (global)
END unboundedstrm2.
