(* This test script is part of GDB, the GNU debugger.

   Copyright 2022 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  *)

MODULE multiunboundedm2 ;


VAR
   global: ARRAY [0..9] OF ARRAY [0..19] OF CARDINAL ;


(*
   foo - test procedure to see the array appear in an unbounded form.
*)

PROCEDURE foo (a: ARRAY OF ARRAY OF CARDINAL) ;
BEGIN

END foo ;


VAR
   count,
   i, j : CARDINAL ;
BEGIN
   count := 0 ;
   FOR i := 0 TO 9 DO
      FOR j := 0 TO 19 DO
         global[i][j] := count ;
         INC (count)
      END
   END ;
   foo (global)
END multiunboundedm2.
