(* Copyright 2022 Free Software Foundation, Inc.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.  *)

MODULE printsetm2 ;

TYPE
   soc = SET OF CHAR ;
VAR
   s: soc;
BEGIN
   s := soc {'a', 'b', 'c', 'd', 'e', 'f'} ;  (* Set constructed.  *)
   EXCL (s, 'a') ;  (* First element removed.  *)
END printsetm2.
